API referencePlatformPlatform exit_node
Enroll a project-owned exit-node credential row (forces project owner)
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Infra node id (node_ref)
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Body for the NA-2 enroll endpoint. The owner is NOT a body field — it is forced to the caller's project.
Response Body
application/json
curl -X POST "https://example.com/platform/v1/nodes/497f6eca-6276-4993-bfeb-53cbbbba6f08/exit-node/credentials" \ -H "Content-Type: application/json" \ -d '{ "label": "string" }'{ "client_id": "string", "credential_id": "13c40afa-2996-4a0c-b2e9-68fba9462242", "env_snippet": "string", "node_ref": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9"}Empty
Empty
Empty